Update phone numbers
curl --request PUT \
--url https://app.freyavoice.ai/api/v2/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumbers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"friendlyName": "<string>",
"config": {
"capabilities": {
"voice": "<string>",
"sms": true
},
"voiceConfig": "<string>",
"messagingConfig": "<string>",
"emergencyCalls": true,
"inboundAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originationUri": "<string>",
"sipOutbound": {
"enabled": true,
"endpoint": "<string>",
"port": 32768,
"username": "<string>",
"password": "<string>",
"fromDomain": "<string>",
"secureMedia": true,
"headers": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"routingPrefix": "<string>",
"defaultCountry": "<string>"
}
}
]
}
'import requests
url = "https://app.freyavoice.ai/api/v2/phone-numbers"
payload = { "phoneNumbers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"friendlyName": "<string>",
"config": {
"capabilities": {
"voice": "<string>",
"sms": True
},
"voiceConfig": "<string>",
"messagingConfig": "<string>",
"emergencyCalls": True,
"inboundAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originationUri": "<string>",
"sipOutbound": {
"enabled": True,
"endpoint": "<string>",
"port": 32768,
"username": "<string>",
"password": "<string>",
"fromDomain": "<string>",
"secureMedia": True,
"headers": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"routingPrefix": "<string>",
"defaultCountry": "<string>"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phoneNumbers: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
number: '<string>',
friendlyName: '<string>',
config: {
capabilities: {voice: '<string>', sms: true},
voiceConfig: '<string>',
messagingConfig: '<string>',
emergencyCalls: true,
inboundAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
outboundAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
originationUri: '<string>',
sipOutbound: {
enabled: true,
endpoint: '<string>',
port: 32768,
username: '<string>',
password: '<string>',
fromDomain: '<string>',
secureMedia: true,
headers: [{key: '<string>', value: '<string>'}]
},
routingPrefix: '<string>',
defaultCountry: '<string>'
}
}
]
})
};
fetch('https://app.freyavoice.ai/api/v2/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"updated": [
{
"id": "<string>",
"number": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"friendlyName": "<string>",
"config": {
"capabilities": {
"voice": "<string>",
"sms": true
},
"voiceConfig": "<string>",
"messagingConfig": "<string>",
"emergencyCalls": true,
"inboundAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originationUri": "<string>",
"sipInbound": {
"enabled": true
},
"sipOutbound": {
"enabled": true,
"endpoint": "<string>",
"port": 32768,
"username": "<string>",
"password": "<string>",
"fromDomain": "<string>",
"transportProtocol": "UDP",
"secureMedia": true,
"headers": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"routingPrefix": "<string>",
"defaultCountry": "<string>"
},
"inboundAgentName": "<string>",
"outboundAgentName": "<string>",
"inboundAgentEntityType": "<string>",
"outboundAgentEntityType": "<string>",
"inboundAgentWorkflowId": "<string>",
"outboundAgentWorkflowId": "<string>"
}
],
"errors": [
{
"id": "<string>",
"error": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
]
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Phone Numbers
Update phone numbers
Updates one or more phone numbers. Returns updated records and any validation errors.
PUT
/
phone-numbers
Update phone numbers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes